package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.T_e_s_t_w_f;
import com.realnet.basicp1.Services.T_e_s_t_w_fService ;






@RequestMapping(value = "/T_e_s_t_w_f")
 @CrossOrigin("*") 
@RestController
public class T_e_s_t_w_fController {
	@Autowired
	private T_e_s_t_w_fService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/T_e_s_t_w_f")
		  public T_e_s_t_w_f Savedata(@RequestBody T_e_s_t_w_f data) {
		T_e_s_t_w_f save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/T_e_s_t_w_f/{id}")
	public  T_e_s_t_w_f update(@RequestBody T_e_s_t_w_f data,@PathVariable Integer id ) {
		T_e_s_t_w_f update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/T_e_s_t_w_f/getall/page")
	public Page<T_e_s_t_w_f> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<T_e_s_t_w_f> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/T_e_s_t_w_f")
	public List<T_e_s_t_w_f> getdetails() {
		 List<T_e_s_t_w_f> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/T_e_s_t_w_f")
	public List<T_e_s_t_w_f> getallwioutsec() {
		 List<T_e_s_t_w_f> get = Service.getdetails();		
		return get;
}
@GetMapping("/T_e_s_t_w_f/{id}")
	public  T_e_s_t_w_f  getdetailsbyId(@PathVariable Integer id ) {
		T_e_s_t_w_f  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/T_e_s_t_w_f/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}







}